# PrimitiveTimestampRange Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveTimestampRange:
[legend]

List of all members.

## Static Public Member Functions

static | create ($name)

## Protected Member Functions

| getObjectName ()
| makeRange ($string)

## Private Attributes

| $className = null

## Detailed Description

Definition at line 15 of file PrimitiveTimestampRange.class.php.

## Member Function Documentation

static PrimitiveTimestampRange::create | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveTimestampRange

Reimplemented from PrimitiveDateRange.

Definition at line 22 of file PrimitiveTimestampRange.class.php.

References BasePrimitive::$name.

Referenced by makeRange().

PrimitiveTimestampRange::getObjectName | ( |  | ) | `[protected]`

Reimplemented from PrimitiveDateRange.

Definition at line 27 of file PrimitiveTimestampRange.class.php.

PrimitiveTimestampRange::makeRange | ( | $ | string | ) | `[protected]`

Reimplemented from PrimitiveDateRange.

Definition at line 32 of file PrimitiveTimestampRange.class.php.

References create().

Here is the call graph for this function:

## Member Data Documentation

PrimitiveTimestampRange::$className = null`[private]`

Reimplemented from PrimitiveDateRange.

Definition at line 17 of file PrimitiveTimestampRange.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveTimestampRange.class.php